package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc设备费用对象 cmc_device_expense
 * 
 * @author cmc
 * @date 2024-05-21
 */
public class CmcDeviceExpense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备费用id */
    private String deviceExpenseId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 负责人id */
    @Excel(name = "负责人id")
    private Long userId;

    /** 费用类型（0检定费、1维修保养费） */
    @Excel(name = "费用类型", readConverterExp = "0=检定费、1维修保养费")
    private String expenseType;

    /** 费用金额 */
    @Excel(name = "费用金额")
    private BigDecimal expense;

    /** 发生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date occurDate;

    /** 附件 */
    @Excel(name = "附件")
    private String document;

    public void setDeviceExpenseId(String deviceExpenseId) 
    {
        this.deviceExpenseId = deviceExpenseId;
    }

    public String getDeviceExpenseId() 
    {
        return deviceExpenseId;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setExpenseType(String expenseType) 
    {
        this.expenseType = expenseType;
    }

    public String getExpenseType() 
    {
        return expenseType;
    }
    public void setExpense(BigDecimal expense) 
    {
        this.expense = expense;
    }

    public BigDecimal getExpense() 
    {
        return expense;
    }
    public void setOccurDate(Date occurDate) 
    {
        this.occurDate = occurDate;
    }

    public Date getOccurDate() 
    {
        return occurDate;
    }
    public void setDocument(String document) 
    {
        this.document = document;
    }

    public String getDocument() 
    {
        return document;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceExpenseId", getDeviceExpenseId())
            .append("deviceId", getDeviceId())
            .append("userId", getUserId())
            .append("expenseType", getExpenseType())
            .append("expense", getExpense())
            .append("occurDate", getOccurDate())
            .append("remark", getRemark())
            .append("document", getDocument())
            .toString();
    }
}
