package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc设备移交对象 cmc_device_handover
 * 
 * @author cmc
 * @date 2024-05-21
 */
public class CmcDeviceHandover extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备移交id */
    private String deviceHandoverId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 移交部门id */
    @Excel(name = "移交部门id")
    private Long handoverDept;

    /** 移交人id */
    @Excel(name = "移交人id")
    private Long handoverUser;

    /** 移交日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "移交日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date handoverDate;

    /** 接收部门id */
    @Excel(name = "接收部门id")
    private Long receiveDept;

    /** 接收人id */
    @Excel(name = "接收人id")
    private Long receiveUser;

    /** 设备软件说明 */
    @Excel(name = "设备软件说明")
    private String description;

    /** 交接原因 */
    @Excel(name = "交接原因")
    private String reason;

    public void setDeviceHandoverId(String deviceHandoverId) 
    {
        this.deviceHandoverId = deviceHandoverId;
    }

    public String getDeviceHandoverId() 
    {
        return deviceHandoverId;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setHandoverDept(Long handoverDept) 
    {
        this.handoverDept = handoverDept;
    }

    public Long getHandoverDept() 
    {
        return handoverDept;
    }
    public void setHandoverUser(Long handoverUser) 
    {
        this.handoverUser = handoverUser;
    }

    public Long getHandoverUser() 
    {
        return handoverUser;
    }
    public void setHandoverDate(Date handoverDate) 
    {
        this.handoverDate = handoverDate;
    }

    public Date getHandoverDate() 
    {
        return handoverDate;
    }
    public void setReceiveDept(Long receiveDept) 
    {
        this.receiveDept = receiveDept;
    }

    public Long getReceiveDept() 
    {
        return receiveDept;
    }
    public void setReceiveUser(Long receiveUser) 
    {
        this.receiveUser = receiveUser;
    }

    public Long getReceiveUser() 
    {
        return receiveUser;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceHandoverId", getDeviceHandoverId())
            .append("deviceId", getDeviceId())
            .append("handoverDept", getHandoverDept())
            .append("handoverUser", getHandoverUser())
            .append("handoverDate", getHandoverDate())
            .append("receiveDept", getReceiveDept())
            .append("receiveUser", getReceiveUser())
            .append("description", getDescription())
            .append("reason", getReason())
            .append("remark", getRemark())
            .toString();
    }
}
